Bug 51726 - Roswell and WinME don't mix-unbootable system
Roswell and WinME don't mix-unbootable system
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-14 10:12 EDT by Przemek Klosowski
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-14 21:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Przemek Klosowski 2001-08-14 10:12:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.18 i586)

Description of problem:
After installing dual boot w/WinME, system didn't boot 
(black screen hang). After booting rescue install and
using the /mnt/sysimage/etc/lilo.conf and running 'lilo -r /mnt/sysimage'
(specifying MBR location w/dual boot)
LILO doesn't show up, but magically WinME boots again.

How reproducible:
Didn't try


Additional info:
Comment 1 Brock Organ 2001-08-14 10:38:29 EDT
when you ran lilo, did you get any errors (ie non-zero exit code, or other error
text printed to screen) ... ?
Comment 2 Przemek Klosowski 2001-08-14 10:51:49 EDT
LILO run perfectly, w/o any errors; printed expected
'added linux/added DOS*' and returned prompt.
Comment 3 Brent Fox 2001-08-14 11:10:49 EDT
I have tested dual booting with various flavors of Windows and I haven't seen
these problems.  Of course, most of my testing was with Grub, but LILO should
work too.  Did you write the bootloader to the MBR or to the boot partition? 
Also, did the installer identify the FAT partition in the bootloader screen?
Comment 4 Przemek Klosowski 2001-08-14 12:15:19 EDT
It was an MBR install, and the FAT partition (type B)
was indeed recognized. One complication is that I 
have a *(currently empty) hdb in this system.
Comment 5 Glen Foster 2001-08-14 15:06:48 EDT
We (Red Hat) should really try to fix this defect before next release.
Comment 6 Brent Fox 2001-08-14 21:58:10 EDT
I think more information on your partition setup would be useful.  I'm guessing
that you have one FAT partition that contains WindowsMe, probably the first
partition on your hard drive.  Then, you've got a second FAT partition that is
currently empty.  Then there's your linux partitions, right?

In the bootloader screen, what partitions appeared?  Did both of your FAT
partitions appear, or just the first one?
Comment 7 Brent Fox 2001-08-27 12:08:04 EDT
Closing due to inactivity.  Please reopen if you have more information.
Comment 8 Przemek Klosowski 2001-09-10 13:01:41 EDT
I think it's OK to close this; I am writing this as a note of caution and 
reference for other people that might run into it. I think that problems were
due to bad BIOS interaction with my HD setup: hda=winME hdb=hdc=CDROM, hdd=linux
I have read that BIOS doesn't support booting off secondary controllers; also,
this particular BIOS (FIC AD-11 motherboard) has strange way of selecting boot
devices: it allows selecting boot disks (as HDD-0, HDD-1, etc) but doesn't 
seem to obey its own settings (it'll boot off HDD-0 even if HDD-1 is selected).

All in all, perhaps you should just state the supporting configuration (e.g.
boot only off primary master and slave disks).

When I removed the winME disk, the LInux disk boots fine.

Note You need to log in before you can comment on or make changes to this bug.